Bug 65588 - kdebase requires minor, unnecessary packages
kdebase requires minor, unnecessary packages
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 00:39 EDT by pogosyan
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-03 17:43:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pogosyan 2002-05-28 00:39:49 EDT
Description of Problem:

Dependences of kde3 related packages in RH7.43 release are very strage and
restrictive.

For example, _kdebase_ requires cdparanoia-libs or lm_sensors.
I do not have neither sensor monitoring nor cdrom to play with cdparanoia
(laptop) What, I cannot use kde anymore ? How can it _require_ those things ?

Also requirements of cups is excessive - although may be more difficult to
get rid off. I guess people with other printing systems are out of luck


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Scott Dowdle 2002-06-03 17:43:46 EDT
RHL 7.3 includes the ability to have more than one printing system installed...
of course only one can be running at a time... you get to pick from LPRng or
CUPS.  So far as cdparanoia etc... the Konqueror in file browser mode has a
feature where it can rip audio tracks into .ogg files (or .mp3 if you have an
mp3 encoder installed).  Just install the required packages and all will be good
with the world.  As a alternative, you an use the --nodeps flag with rpm to
ignore dependancies... or perhaps the --force... I forget which.
Comment 2 Bernhard Rosenkraenzer 2002-07-02 09:34:49 EDT
The dependencies are indeed necessary. 
 
KDE needs to link to the libraries in these packages to get all of its 
functionality (e.g. if you're using cups, KDE can't get the printer list if it 
isn't linked to libcups -- and if KDE is linked to libcups, you need to 
install libcups even if you aren't using cups). 
 
Simply install those libraries, other than taking up a bit of diskspace, they 
don't hurt you even if you never use their functionality.

Note You need to log in before you can comment on or make changes to this bug.